Public Member Functions

# BinNavi.API.debug.Breakpoint Class Reference

Represents a single breakpoint. More...

List of all members.

## Public Member Functions
void | addListener (final IBreakpointListener listener)
| Adds a breakpoint listener.
void | disable ()
| Disabled the breakpoint.
void | enable ()
| Enables the breakpoint.
Address | getAddress ()
| The address of the breakpoint.
String | getDescription ()
| The description of the breakpoint.
BreakpointStatus | getStatus ()
| The status of the breakpoint.
void | removeListener (final IBreakpointListener listener)
| Removes a breakpoint listener.
void | setDescription (final String description)
| Changes the breakpoint description.

## Detailed Description

Represents a single breakpoint that is set in the target process.

## Member Function Documentation

void BinNavi.API.debug.Breakpoint.addListener | ( | final IBreakpointListener | listener | ) |

Adds an object that is notified about changes in the breakpoint.

Parameters:

  | listener | The listener object that is notified about changes in the breakpoint.

void BinNavi.API.debug.Breakpoint.disable | ( |  | ) |

Disables the breakpoint if it is enabled.

void BinNavi.API.debug.Breakpoint.enable | ( |  | ) |

Enables the breakpoint if it is disabled.

Address BinNavi.API.debug.Breakpoint.getAddress | ( |  | ) |

Returns the address of the breakpoint.

Returns:
  The address of the breakpoint.

String BinNavi.API.debug.Breakpoint.getDescription | ( |  | ) |

Returns the description of the breakpoint.

Returns:
  The description of the breakpoint.

BreakpointStatus BinNavi.API.debug.Breakpoint.getStatus | ( |  | ) |

Returns the status of the breakpoint.

Returns:
  The status of the breakpoint.

void BinNavi.API.debug.Breakpoint.removeListener | ( | final IBreakpointListener | listener | ) |

Removes a listener object from the breakpoint.

Parameters:

  | listener | The listener object to remove from the breakpoint.

void BinNavi.API.debug.Breakpoint.setDescription | ( | final String | description | ) |

Changes the description of the breakpoint.

Parameters:

  | description | The description of the breakpoint.